# Config

{% stepper %}
{% step %}

### Notify config

{% code fullWidth="true" %}

```lua
Config.Notify = 'bl_notify' -- [ bl-notify | vorp | ox_lib ]

Config.NotifyDetails = {
    bl_notify = {
        event = 'bln_notify:send',
        types = {
            cooldown = {
                title = '~#ffcc00~Cooldown Alert~e~',
                description = "Wait %d seconds before changing your job status!",
                icon = "awards_set_l_010",
                placement = "middle-right"
            },
            success = {
                title = '~#00ff00~Success~e~',
                description = "Your job status has been updated!",
                icon = "tick",
                placement = "middle-right"
            },
            no_job = {
                title = '~#ff0000~No Job!~e~',
                description = "You don't belong to any job!",
                icon = "cross",
                placement = "middle-right"
            }
        }
    },
    ox_lib = {
        event = 'lib.notify',
        types = {
            cooldown = {
                id = 'cooldown_notify',
                title = 'Cooldown Warning',
                description = 'Wait %d seconds before you can proceed.',
                duration = 3000,
                showDuration = false,
                position = 'top',
                type = 'warning',
                style = {
                    backgroundColor = '#141517',
                    color = '#C1C2C5'
                },
                icon = 'clock',
                iconColor = '#FFA500',
                iconAnimation = 'pulse'
            },
            success = {
                id = 'success_notify',
                title = 'Success!',
                description = 'Your action was completed successfully.',
                duration = 3000,
                showDuration = false,
                position = 'top',
                type = 'success',
                style = {
                    backgroundColor = '#141517',
                    color = '#00FF00'
                },
                icon = 'check',
                iconColor = '#00FF00',
                iconAnimation = 'beat'
            },
			no_job = {
                id = 'no_job_notify',
                title = 'No Job!',
                description = "You don't belong to any job!",
                duration = 3000,
                showDuration = false,
                position = 'top',
                type = 'error',
                icon = 'times',
                iconColor = '#FF0000'
            }
        }
    },
    vorp = {
        event = 'vorp:TipRight',
        types = {
            cooldown = {
                description = 'Wait %d seconds before you can proceed.',
                duration = 5000
            },
			success = {
				description = 'Your action was completed successfully.',
                duration = 5000			
			},
			no_job = {
                description = "You don't belong to any job!",
                duration = 5000
            }
        }
    }
}

```

{% endcode %}

{% endstep %}

{% step %}

### Blip company config

```lua
Config.CompanyBlips = {
	{
		blipName 	= 'Rhodes Gun store',

		modifierOn	= 'BLIP_MODIFIER_DEBUG_GREEN',

		modifierOff	= 'BLIP_MODIFIER_DEBUG_RED',

		textureHash	= -145868367,

		job_name	= 'rhodgunsmith',

		job_image   = 'https://media.discordapp.net/attachments/859618317858111494/1164875174336794624/gunstores-removebg-preview.png', width = '26', height = '26',

		pos			= vector3(1323.1091, -1323.3464, 77.9392),
	},
	
	{
		blipName 	= 'Saint Denis Gun store',

		modifierOn	= 'BLIP_MODIFIER_DEBUG_GREEN',

		modifierOff	= 'BLIP_MODIFIER_DEBUG_RED',

		textureHash	= -145868367,

		job_name	= 'saintgunsmith',

		job_image   = 'https://media.discordapp.net/attachments/859618317858111494/1164875174336794624/gunstores-removebg-preview.png', width = '26', height = '26',

		pos			= vector3(2716.8938, -1285.3364, 53.8603),
	},

	{
		blipName 	= 'Valentine Gun store',

		modifierOn	= 'BLIP_MODIFIER_DEBUG_GREEN',

		modifierOff	= 'BLIP_MODIFIER_DEBUG_RED',

		textureHash	= -145868367,

		job_name	= 'valgunsmith',

		job_image   = 'https://media.discordapp.net/attachments/859618317858111494/1164875174336794624/gunstores-removebg-preview.png', width = '26', height = '26',

		pos			= vector3(-281.6438, 778.7984, 120.9147),
	},

	{
		blipName 	= 'Valentine Saloon',

		modifierOn	= 'BLIP_MODIFIER_DEBUG_GREEN',

		modifierOff	= 'BLIP_MODIFIER_DEBUG_RED',

		textureHash	= 1879260108,

		job_name	= 'valentinesaloon',

		job_image   = 'https://media.discordapp.net/attachments/859618317858111494/1164875174336794624/gunstores-removebg-preview.png', width = '26', height = '26',

		pos			= vector3(-313.3148, 805.4577, 118.9805),
	},	

	--
}
```

{% endstep %}

{% step %}

### Other things in config

```lua
Config.MinutesCooldown = 10 -- Seconds

Config.CommandName = 'dutyJob'

Config.Texts = {
	open_job_message = 'is now open!',

	command_help_text = 'Change job status | ON - OFF',
	
	close_job_message = 'is closed!',
		
	chat_message = 'The company'
}

Config.ChatEnable = true
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infinitypulse.dev/redm/company-blips/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
